Postonus
APIReferencePosts

Mark a ready schedule as posted

POST
/posts/schedules/{scheduleId}/mark-posted

Authorization

apiKey
headerx-api-key<token>

Path Parameters

scheduleId*string
Formatuuid

Header Parameters

Idempotency-Key?string

Repeating a key within 24 hours returns the first response and writes nothing again.

Lengthlength <= 255

Response Body

OK

application/json
  1. response
postId*string
content*string
thread*array<string>|null
media*array<>
schedules*array<>
url*string
review*|null
dryRun*boolean
Example Request
curl -X POST 'https://app.postonus.com/api/v1/posts/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08/mark-posted'
Example Response
{  "postId": "string",  "content": "string",  "thread": [    "string"  ],  "media": [    {      "url": "string",      "type": "IMAGE",      "altText": "string"    }  ],  "schedules": [    {      "scheduleId": "string",      "channelId": "string",      "platform": "BLUESKY",      "channelName": "string",      "scheduledAt": "2019-08-24T14:15:22Z",      "status": "DRAFT",      "delivery": "API"    }  ],  "url": "string",  "review": "pending",  "dryRun": true}